"""Connector objects."""
from circadapt.components import Component


class Connector(Component):
    """Connector objects."""

    parameters = [
        ]

    signals = [
        'q',
        ]


class ArtVen(Component):
    """ArtVen object."""

    parameters = [
        'p0AV',
        'q0AV',
        'kAV',
        ]

    signals = [
        'q',
        ]


class ArtVen2022(Component):
    """ArtVen2022 object."""

    parameters = [
        'p0AV',
        'q0AV',
        'kAV',
        ]

    signals = [
        'q',
        ]


class Valve2022(Component):
    r"""
    Valve2022 valve connects two nodes.

    Parameters
    ==========
    adaptation_Aopen_fac: double
        factor used
    AOpen: float
        Opening area
    ALeak: float
        Leaking valve area
    Len: float
        Length of valve
    rhob: float
        Blood density
    papillary_muscles: bool
        If true, papilary muscle implementation is activated
    soft_closure: bool
        If true, a soft closure is activated

    Signals
    ==========
    q: float
        Flow through the valve
    qDot: float
        Time derivative of the flow q

    """

    parameters = [
        'adaptation_Aopen_fac',
        'AOpen',
        'ALeak',
        'Len',
        'rhob',
        'papillary_muscles',
        'papillary_muscles_slope',
        'papillary_muscles_min',
        'papillary_muscles_AOpen_fac',
        'soft_closure',
        ]

    signals = [
        'q',
        'qDot',
        'L',
        'A',
        'Dp',
        'DpB',
        'R',
        'diast',
        ]
